## Namespace util

### Method Summary

Listing of public methods:

> The namespace util currently contains no public methods.

### Method Detail

* indicates required

Private Methods:

a proc used for debugging, just prints out a value to the error log

capitalizes the first letter of a string Returns: returns formatted string

escapes quotes and removes comment tags from a body of commented text Parameters:
`text` * |
Returns: text

just takes a body of text and puts a space behind every double {quote;} this is done so that the text body can be treated as a list without causing problems resulting from list elements being separated by characters other than a space Parameters:
`text` * | req/none the body of text to be worked on
Returns: same text but with a space behind each quote; double quotes that are already trailed by a space are unaffected

takes a .adp template name and the name of the file to be written and creates the {file;} also puts out a notice before Parameters:
`template` * | the name of the template to be used in making the file
`file_name` * | the name of the file to be created

takes an alphabetized list and an entry Parameters:
`list` * | {let's see how this parses out} the alphabetized list
`entry` * | req the value to be inserted
Returns: either the proper list index for an alphabetized insertion or -1 if the entry is already in the list

used to compare two different elements in a list of parsed data for public or private procs

uses ns_library to find the server root, may not always be accurate because it essentially asks for the tcl library path and strips off the last /tcl directory

* indicates required